Skip to main content
Topic: ElkArte 1.1.7 Patch Testing (Read 4093 times) previous topic - next topic
0 Members and 2 Guests are viewing this topic.

Re: ElkArte 1.1.7 Patch Testing

Reply #90
If you mean on registration, you can set that to Admin approves or Immediate ... I don't think those send any and centrally don't require email stuff.   Yes IP's and email are super easy to get and use at will.

and...turn off the welcome email too..

It's interesting the different communities ... most of my users want the email, enough so that I suggested an admin option feature to set user emails as the default option for all  boards (usergroup settings control what they actually get) during registration, that the user can disable if it's not desired, rather than the user having to go into the profile and enable the notifications board by board.

If they don't get email notifications, they think nothing's going on, and don't bother to log  back in and see if anything is happening..
__________________________________________________________________________
// Deep inside every dilemma lies a solution that involves explosives //

Re: ElkArte 1.1.7 Patch Testing

Reply #91
And just when you though it could not possibly get any better .... Here is the latest 1.1.7 Patch. 

This dazzling beauty adds the missing files (for the changes in desktop notifications) that were missed in the last test patch.  This update also has several additional enhancements/fixes,   I've updated the site with this latest version so its live here.  

By now you should know the routine, test and report!   If you were using the last patch, uninstall it first, then replace/install with the attached version.

Be safe, Be kind, Happy Programing

Re: ElkArte 1.1.7 Patch Testing

Reply #92
I notice the site here is also now running 1.1.7.  Let's hope this is the release.
I use Mozilla Firefox.

Re: ElkArte 1.1.7 Patch Testing

Reply #93
Uninstalling previous patch seems to cause error 500 on my forum, so cannot test the latest patch yet. I will install it later when I am back to my PC to fix the error

Re: ElkArte 1.1.7 Patch Testing

Reply #94
After installing this patch, I've discovered we have a cat infestation. So far one has been discovered. Not sure how it's related to the patch. ;D


Seriously, thanks to everyone who invested their efforts into the patch! No problems to report so far!

Re: ElkArte 1.1.7 Patch Testing

Reply #95
Uninstalling previous patch seems to cause error 500 on my forum, so cannot test the latest patch yet. I will install it later when I am back to my PC to fix the error
That could be due to the level of PHP you are running ... 1.1.6 will cause errors on 7.4 and I think may fail on php8.  Or it could be somethinge else !
After installing this patch, I've discovered we have a cat infestation. So far one has been discovered. Not sure how it's related to the patch. ;D

Seriously, thanks to everyone who invested their efforts into the patch! No problems to report so far!
Meow Baby ... thanks for testing :D
Be safe, Be kind, Happy Programing

Re: ElkArte 1.1.7 Patch Testing

Reply #96
After installing this patch, I've discovered we have a cat infestation. So far one has been discovered. Not sure how it's related to the patch. ;D

__________________________________________________________________________
// Deep inside every dilemma lies a solution that involves explosives //

Re: ElkArte 1.1.7 Patch Testing

Reply #97
That could be due to the level of PHP you are running ... 1.1.6 will cause errors on 7.4 and I think may fail on php8.  Or it could be somethinge else !
I think that was it. Anyway, fix it easily and install the latest 1.1.7 patch with no problem so far.


Re: ElkArte 1.1.7 Patch Testing

Reply #99
Hi,
Thanks for this new update.
I installed it on 2 elkarte and get each time the same error that is ignored :
X
I made a quick take a look and no other errors and everything seems to work : i will make better "tests" in the next days.Philippe

Re: ElkArte 1.1.7 Patch Testing

Reply #100
I've never seen an error message like that, interesting.  Well that specific line is not new in this version of the patch, and from the little reading I've done its another 7.4 depreciation "gift"

Are you running on *nix or *doz ? Just curious.
Be safe, Be kind, Happy Programing

Re: ElkArte 1.1.7 Patch Testing

Reply #101
Sorry for that "gift" !
It's apache.


Re: ElkArte 1.1.7 Patch Testing

Reply #103
And in the patch that would not end thread, I bring you the latest. 

This patch address a few additional problems found with the mail list function, namely the broken links (somewhat), mails with reply codes where there should be none, < br > tags leaking in to the outbound mail, and Inline attachment links being double wrapped. 

Just to note,  one of the  bugs could have prevented the correct updating of the postby_emails table when moving from 1.0 to 1.1 IF you were actively using PBE in 1.0 and upgrade to 1.1 it MAY silently fail the update and PBE will not work.   I'll probably fix the updater in this release but still pondering if I want to check on things when doing 1.1.6 to 1.1.7, but seems like someone would have reported an issue by now.

Fixed an issue where addons could not tie into the unsubscribe functions.

It also has a test code for the 7.4 depreciation notice that was reported a few posts back.

Standard routine, its for testing.  If you are running the last patch, uninstall it, use this new patch file and install this one via package manager.

Be safe, Be kind, Happy Programing

 

Re: ElkArte 1.1.7 Patch Testing

Reply #104
When installing I get the following using pgsql

Code: [Select]
ERROR: syntax error at or near "FROM"
LINE 3: FROM elkarte_messages
^
File: /var/www/html/Elkarte/sources/subs/ManageSearch.subs.php
Line: 36

Note: Your database version is 1.1.6.

It's trying to detect if the fulltext index is there which isn't valid for pgsql.

The following should fix that

Code: [Select]
<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
{
    require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('ELK'))
{
    die('<b>Error:</b> Cannot install - please verify you put this in the same place as ELK\'s index.php.');
}

// Remove-file during install does not work?
if (file_exists(EXTDIR . '/cssmin.php'))
{
    unlink(EXTDIR . '/cssmin.php');
}

// Fulltext index was improved to include subjects, but needs a rebuild, so remove any existing one
global $modSettings, $db_type;

if($db_type != 'mysql')
{
    return;
}

require_once(SUBSDIR . '/ManageSearch.subs.php');

$fulltext_index = detectFulltextIndex();
alterFullTextIndex('{db_prefix}messages', $fulltext_index);

// Now if they were actually using that index, set them back to a standard search
if (!empty($modSettings['search_index']) && $modSettings['search_index'] === 'fulltext')
{
    // Set the default method.
    updateSettings(array(
        'search_index' => '',
    ));
}